Upgrading the Windows desktop client

When a new version of the Syncplicity Windows desktop client is available, you are prompted to upgrade.

TIP: Upgrade to the latest version to use new features and stability and performance improvements.

You can upgrade the client immediately or click Remind me later to dismiss the prompt. If you postpone, Syncplicity alerts you in 24 hours or when the client is re-started.

The Syncplicity Windows client requires that Microsoft .NET Framework 4.6.2 is installed on your computer before you can install or upgrade the client. If the installer detects that .NET Framework 4.6.2 is not installed, the installer prompts you to download the software and install it. Afterwards, the installer proceeds to install the client.

If you do not upgrade periodically, older client versions become unsupported. In this case, you must upgrade to the latest version to continue using Syncplicity on your computer.

When upgrading to version 3.4.16 or later, any synchronized folders and files in mapped network drives, external storage devices, and removable storage devices cease to be synchronized. No data is lost, but you must re-sync your content stored in mapped drives by first moving data to your computer's physical storage and then adding to Syncplicity. For more information, see About file synchronization on external drives.

Related Links